Bug 22599 - decode_db() aborted
decode_db() aborted
Product: Red Hat Linux
Classification: Retired
Component: slocate (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-12-20 14:56 EST by Łukasz Trąbiński
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-30 22:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Łukasz Trąbiński 2000-12-20 14:56:30 EST
After upgrade slocate to 2.4-1 on one machine, slocate doesn't work

[root@xxx slocate]# pwd
[root@xxx slocate]# du -h
6.7M    .
Before upgrade databese has 8M..

[root@xxx slocate]# locate blebleble
locate: decode_db() aborted. Corrupt database?

Before upgrade all was fine. I have tried rebuild databse by
but it has still errors.
Comment 1 Bill Nottingham 2000-12-20 15:03:20 EST
What happens if you move the old database out of the way and *then*
rebuild it?
Comment 2 Łukasz Trąbiński 2000-12-20 17:30:39 EST
After removed /var/lib/slocate/slocate.db
and /etc/cr^Gon.daily/slocate.cron &
I still get locate: decode_db() aborted. Corrupt database?
After downgrade all works OK (with databse build by new slocate).

End of strace: (strace -f -o file locate something)

26368 write(2, "locate: decode_db() aborted. Cor"..., 47) = 47
26368 munmap(0x2aac2000, 4096)          = 0
26368 _exit(1)                          = ?

[lukasz@xxx lukasz]$ cat file |grep read |wc -l 
Comment 3 Łukasz Trąbiński 2000-12-30 19:01:12 EST
Taken from ChangeLog for new version of slocate.
2.5 - Really fixed the heap corruption bug.
    - Fixed a bug that caused slocate to segfault when path lengths are
      too large.
    - Made slocate not assign the 'slocate' group to a database if the 
      UID is not 0.
    - Added alot of error checking (ie, all mallocs, fchdir, etc).
    - Autoconfed.
I haven't tested this version, yet.
Comment 4 Bill Nottingham 2000-12-30 22:34:08 EST
Hm, maybe. It looks like most of the changes in that are in the
error handling code.

Could you attach the database?
Comment 5 Bill Nottingham 2001-01-06 17:40:22 EST
It does appear that slocate-2.5 fixes this - slocate-2.5-1 will be in
the next raw hide release.

Note You need to log in before you can comment on or make changes to this bug.